[POST] .../v1/item/getcompound
Returns a compound item composition. Use this method to retrieve the component composition of a compound item. It requires item_id, checks item select permission and returns ItemCompound records describing the compound composition in result. The the request supports filters, but the composition lookup is driven by item_id and does not apply filter criteria. Business errors such as a missing request body, invalid item_id, denied access or persistent composition errors are returned as HTTP 200 ErrorResult.
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| filters | Array of Filter | Optional | Optional filters by fields available for this API method. |
| image_size | String | Optional | Image size: Small (100x100), Medium (300x300), Large (900x900). Default is Small. Allowed values: Default, Large, Medium, Small. |
Filterable Fields
| Field | Type | Description |
|---|---|---|
| item_id | int | Compound item ID. |
Request Example
{
"filters": [
{
"Field": "item_id",
"Operator": "Equal",
"Value": "string"
}
],
"image_size": "Large"
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Array of ItemCompound | Result array. |
Response Example
{
"ok": true,
"result": [
{
"image_url": "string",
"item": {
"articul": "string",
"assemblable": true,
"barcode_list": "string",
"base_barcode": "string",
"brand": {
"id": 1,
"last_update": 1,
"name": "string"
},
"code": 1,
"color": {
"id": 1,
"last_update": 1,
"name": "string"
},
"comission_tin": "string",
"compound": true,
"country": {
"alfa2": "string",
"alfa3": "string",
"code": "string",
"fullname": "string",
"id": 1,
"last_update": 1,
"name": "string"
},
"deleted_mark": true,
"department": {
"id": 1,
"last_update": 1,
"name": "string"
},
"description": "string",
"disassemblable": true,
"fields": [
{
"data_type": "string",
"is_custom": true,
"key": "string",
"metadata": "string",
"name": "string",
"required": true,
"value": "string"
}
],
"fullname": "string",
"group": {
"child_count": 1,
"id": 1,
"last_update": 1,
"name": "string",
"parent_id": 1,
"path": "string"
},
"has_child": true,
"icps": "string",
"id": 1,
"image_url": "string",
"is_labeled": true,
"last_update": 1,
"min_quantity": 1,
"name": "string",
"origin": "BuyingAndSelling",
"package_code": "string",
"parent_id": 1,
"partner_id": 1,
"producer": {
"id": 1,
"last_update": 1,
"name": "string"
},
"size": {
"id": 1,
"last_update": 1,
"name": "string"
},
"type": "Item",
"unit": {
"description": "string",
"id": 1,
"last_update": 1,
"name": "string",
"type": "non_pcs"
},
"vat": {
"enabled": true,
"id": 1,
"last_update": 1,
"name": "string",
"value": 1.0
}
},
"quantity": 1.0
}
]
}